Extensions
Register an MCP server
POST /v1/mcp-servers · SDK createMcpServer · CLI deployments mcp-server create
POST
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
auth?endpointOrigin*stringendpointPath*stringMatch
^\/(?!\/)(?!.*(?:^|\/)\.\.?\/)[^#]*$name*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120toolAllowlist*array<>McpServerResponse
application/json- response
createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeendpointOrigin*stringendpointPath*stringMatch
^\/(?!\/)(?!.*(?:^|\/)\.\.?\/)[^#]*$hasAuth*booleanid*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$name*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120status*stringtoolAllowlist*array<string>updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*integerRange
0 <= valuecurl -X POST "https://example.com/v1/mcp-servers" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "endpointOrigin": "string", "endpointPath": "string", "name": "string", "toolAllowlist": [ "string" ] }'{ "createdAt": "2019-08-24T14:15:22Z", "endpointOrigin": "string", "endpointPath": "string", "hasAuth": true, "id": "string", "name": "string", "status": "string", "toolAllowlist": [ "string" ], "updatedAt": "2019-08-24T14:15:22Z", "version": 0}